function solve()

%b_end =-0.75

D = importdata('number_variables.txt');
N = importdata('number_dense_constraints.txt');
alpha_value = importdata('alpha.txt');
one_minus_beta = importdata('one_minus_beta.txt');
AS = importdata('number_elements_action_set.txt');

A1 = load('A.txt');  
%b = load('b.txt');
b = ones(N,1)*alpha_value;
b(end)= -one_minus_beta;
c = load('c.txt');

A2 = sparse(D/AS,D);
for k=1:(D/AS)
	i = AS*(k-1);
	A2(k,i+1:i+AS) = 1;
end

lb = zeros(D,1);

'solve'
options = optimset('Display','iter','maxIter',1000);
[x,fval,exitFlag,output,labmda] = linprog(c,[A1(1:N,:);A2],[b(1:N);ones(D/AS,1)],[],[],lb,[],[],options);

%write_sol(x,['sol_' num2str(b_end)]);
write_sol(x,['solution_discretized_LP']);
write_sol(labmda.ineqlin(1:N),['dual_dense']);
%write_sol(labmda.ineqlin(N+1:end),['dual_sparse_' num2str(b_end)]);
%write_sol(labmda.lower,['dual_non-neg_' num2str(b_end)]);

exit;
